<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Onepage
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'starter' ); ?></a>
<header id="masthead" class="site-header" role="banner">
<div class="grid-1200">
    <div class="row">
        <?php igthemes_header(); ?>
    </div><!-- row -->
</div><!-- .grid1200 -->
    <div class="main-menu">
        <nav id="site-navigation" class="main-navigation" role="navigation">
            <div class="grid-1200">
                <div class="col12">
                    <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Menu', 'onepage' ); ?></button>
                    <?php
                        if (is_home() || is_front_page()) {
                            wp_nav_menu( array( 'theme_location' => 'homepage-menu', 'menu_class' => 'nav-menu' ) );
                        } else {
                            wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'nav-menu' ) );
                        }
                    ?>
                </div><!-- .col12 -->
            </div><!-- .grid-1200 -->
        </nav><!-- #site-navigation -->
    </div><!-- .main-menu -->
</header><!-- #masthead -->
<?php
$slider = igthemes_option( 'slider_section' );
$sliderid = igthemes_option( 'slider_id' );
?>
<?php if ($slider && is_home() || $slider && is_front_page())  { ?>
    <div class="slider">
        <?php  echo do_shortcode("[metaslider id='$sliderid']") ?>
    </div><!-- .slider -->
<?php } ?>
<?php $portfolio = igthemes_option( 'portfolio_section' ) ?>
<?php if ( $portfolio && is_home() || $portfolio && is_front_page())  { ?>
    <div id="portfolio" class="panel black">
        <div class="grid-1200">
            <?php get_template_part('core-framework/partials/portfolio-carousel') ?>
        </div><!-- .grid-1200 -->
    </div>
<?php } ?>
<?php $testimonials = igthemes_option( 'testimonials_section' ) ?>
<?php if ($testimonials && is_home() || $testimonials && is_front_page())  { ?>
    <div id="testimonials" class="panel red">
        <div class="grid-1200">
            <?php get_template_part('core-framework/partials/testimonial-carousel') ?>
        </div><!-- .grid-1200 -->
    </div>
<?php } ?>
    <div id="content" class="site-content grid-1200">
<div class="row">
