<?php
//the id of the options
$igthemes_option='onepage';

//start class
class IGthemes_Customizer {

// add some settings
public static function igthemes_customize($wp_customize) {
/** The short name gives a unique element to each options id. */
global $igthemes_option;
//upgrade message
$upgrade_message = '<a class="upgrade-tag" href="http://www.iograficathemes.com/downloads/onepage-premium/" target="_blank">' . __(' - only premium', 'onepage') . '</a>';

// slect categories
$categories = get_categories();
    $cats = array();
    $i = 0;
    foreach($categories as $category){
        if($i==0){
            $default = $category->slug;
            $i++;
        }
        $cats[$category->slug] = $category->name;
    }

//01 PREMIUM
$wp_customize->add_section('upgrade-premium', array(
        'title' => __('UPGRADE TO PREMIUM', 'onepage'),
        'priority' => 1,
    ) );

//02 HOMEPAGE
    $wp_customize->add_panel('home-settings', array(
        'title' => __('Home Page Settings', 'onepage'),
        'description' => __('Customize your website homepage', 'onepage'),
        'priority' => 2,
    ));
    $wp_customize->add_section('home-slider', array(
        'title' => __('Slider', 'onepage'),
        'panel' => 'home-settings',
    ));
    $wp_customize->add_section('home-portfolio', array(
        'title' => __('Portfolio', 'onepage'),
        'panel' => 'home-settings',
    ));
    $wp_customize->add_section('home-testimonials', array(
        'title' => __('Testimonials', 'onepage'),
        'panel' => 'home-settings',
    ));

//03 GENERAL
    $wp_customize->get_section('title_tagline')->title = __('General Settings', 'onepage');
    $wp_customize->get_section('title_tagline')->priority = 3;

//04 LAYOUT
    $wp_customize->add_section('layout-settings', array(
        'title' => __('Layout settings', 'onepage'),
        'priority' => 4,
    ));

// 05 STYLE
    $wp_customize->get_section('colors')->title = __('Style Settings', 'onepage');
    $wp_customize->get_section('colors')->priority = 5;

// 06 FOOTER
    $wp_customize->add_section('footer-settings', array(
        'title' => __('Footer Settings', 'onepage'),
        'priority' => 6,
    ));

// 06 SOCIAL
    $wp_customize->add_section('social-settings', array(
        'title' => __('Social Settings', 'onepage'),
        'priority' => 7,
    ));

// 07 ADVANCED
    $wp_customize->add_section('advanced-settings', array(
        'title' => __('Advanced Settings', 'onepage'),
        'priority' => 7,
    ));

/*****************************************************************
* PREMIUM
******************************************************************/
$wp_customize->add_setting($igthemes_option . '[upgrade_box]', array(
    'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ) );

$wp_customize->add_control( new Html_Custom_Control( $wp_customize, 'upgrade_box', array(
    'label' => __('', 'onepage'),
    'description' => '<p style="font-style: normal;">' . __('If you like this theme, considering supporting development by purchasing the premium version.', 'onepage'). '</p>'
    . '<ul class="premium" style="font-style: normal;"> '. '<li><strong>'. __('Main premium features:', 'onepage'). '</strong></li>'
    . '<li>' . __('• All options enabled', 'onepage') . '</li>'
    . '<li>' .  __('• Premium shortcodes included', 'onepage') . '</li>'
    . '<li>' . __('• Priority support', 'onepage'). '</li>'
    . '<li>' .  __('• Money back guarantee', 'onepage') . '</li>'
    . '<li>' . '<a class="upgrade-button" href=".http://www.iograficathemes.com/downloads/onepage-premium/" rel="nofollow">' . __('upgrade to premium', 'onepage') . '</a></li>'
    . '</ul>',    'type' => 'custom',
    'section' => 'upgrade-premium',
    'settings' => $igthemes_option . '[upgrade_box]',
    )));

/*****************************************************************
* HOMEPAGE
******************************************************************/
//slider section
    $wp_customize->add_setting($igthemes_option . '[slider_section]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ) );
    $wp_customize->add_control('slider_section', array(
        'label' => __('Show the image slider', 'onepage'),
        'description' => __('To use the slider please install the free plugin ', 'onepage').'<a href="https://wordpress.org/plugins/ml-slider/" target="_blank">Meta Slider</a>',
        'type' => 'checkbox',
        'section' => 'home-slider',
        'settings' => $igthemes_option . '[slider_section]',
    ));
//slider id
     $wp_customize->add_setting($igthemes_option . '[slider_id]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('slider_id', array(
        'label' => __('Image slider ID', 'onepage'),
        'description' => __('Write the ID of the slider', 'onepage'),
        'type' => 'text',
        'section' => 'home-slider',
        'settings' => $igthemes_option . '[slider_id]',
    ));
//portfolio section
     $wp_customize->add_setting($igthemes_option . '[portfolio_section]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('portfolio_section', array(
        'label' => __('Portfolio section', 'onepage'),
        'description' => __('Show the portfolio section', 'onepage'),
        'type' => 'checkbox',
        'section' => 'home-portfolio',
        'settings' => $igthemes_option . '[portfolio_section]',
    ));
//portfolio text
    $wp_customize->add_setting($igthemes_option . '[portfolio_text]', array(
        'type' => 'option',
        'default' => '<h3>Our new project</h3><p>See our latest works</p>',
        'sanitize_callback' => 'igthemes_sanitize_textarea',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control('portfolio_text', array(
        'label' => __('Portfolio text', 'onepage'),
        'description' => __('Add your portfolio intro text', 'onepage'),
        'type' => 'textarea',
        'section' => 'home-portfolio',
        'settings' => $igthemes_option . '[portfolio_text]',
    ));
//portfolio categories
    $wp_customize->add_setting($igthemes_option . '[portfolio_categories]', array(
        'default' => $default,
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_cat',
    ));
    $wp_customize->add_control('portfolio_categories', array(
        'label' => 'Portfolio category',
        'type' => 'select',
        'choices' => $cats,
        'section' => 'home-portfolio',
        'settings' => $igthemes_option . '[portfolio_categories]',
    ));
//testimonials section
    $wp_customize->add_setting($igthemes_option . '[testimonials_section]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('testimonials_section', array(
        'label' => __('Testimonials section', 'onepage'),
        'description' => __('Show the testimonial section', 'onepage'),
        'type' => 'checkbox',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonials_section]',
    ));
//testimonial text
    $wp_customize->add_setting($igthemes_option . '[testimonials_text]', array(
        'type' => 'option',
        'default' => __('<h3>What our clients says</h3><p>We make every thing with best quality, our customers and partners are very happy!</p>', 'onepage'),
        'sanitize_callback' => 'igthemes_sanitize_textarea',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control('testimonials_text', array(
        'label' => __('Testimonials text', 'onepage'),
        'description' => __('Testimonials intro text', 'onepage'),
        'type' => 'textarea',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonials_text]',
    ));
//testimonial01
    $wp_customize->add_setting($igthemes_option . '[testimonial01]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial01', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial01]',
    ));
//testimonial02
    $wp_customize->add_setting($igthemes_option . '[testimonial02]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial02', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial02]',
    ));
//testimonial03
    $wp_customize->add_setting($igthemes_option . '[testimonial03]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial03', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial03]',
    ));
//testimonial04
    $wp_customize->add_setting($igthemes_option . '[testimonial04]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial04', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial04]',
    ));
//testimonial05
    $wp_customize->add_setting($igthemes_option . '[testimonial05]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial05', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial05]',
    ));
//testimonial06
    $wp_customize->add_setting($igthemes_option . '[testimonial06]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial06', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial06]',
    ));
//testimonial07
    $wp_customize->add_setting($igthemes_option . '[testimonial07]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial07', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial07]',
    ));
//testimonial08
    $wp_customize->add_setting($igthemes_option . '[testimonial08]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
    ));
    $wp_customize->add_control('testimonial08', array(
        'label' => __('Testimonial', 'onepage'),
        'description' => '',
        'type' => 'text',
        'section' => 'home-testimonials',
        'settings' => $igthemes_option . '[testimonial08]',
    ));
/*****************************************************************
* GENERAL SETTINGS
******************************************************************/
//blog name
    $wp_customize->add_setting('blogname', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
        'transport'=>'postMessage'
    ));
    $wp_customize->add_control('blogname', array(
        'label' => __('Site Title', 'onepage'),
        'section' => 'title_tagline',
        'settings' => 'blogname',
        'priority' => 1,
    ));
//blog description
    $wp_customize->add_setting('blogdescription', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_text',
        'transport'=>'postMessage'
    ));
    $wp_customize->add_control('blogdescription', array(
        'label' => __('Tagline', 'onepage'),
        'section' => 'title_tagline',
        'settings' => 'blogdescription',
        'priority' => 2,
    ));
//logo
    $wp_customize->add_setting($igthemes_option . '[logo]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'logo', array(
        'label' => __('Site Logo', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[logo]',
    )));
//favicon
    $wp_customize->add_setting($igthemes_option . '[favicon]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'favicon', array(
        'label' => __('Site Favicon', 'onepage'),
        'description' => __('Upload your site favicon (16x16 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[favicon]',
    )));
//iphone icon
    $wp_customize->add_setting($igthemes_option . '[icon_iphone]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'iphone_icon', array(
        'label' => __('IPhone Icon', 'onepage'),
        'description' => __('Apple touch icon iphone (57x57 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[icon_iphone]',
    )));
//ipad icon
    $wp_customize->add_setting($igthemes_option . '[icon_ipad]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'icon_ipad', array(
        'label' => __('IPad Icon', 'onepage'),
        'description' => __('Apple touch icon ipad (76x76 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[icon_ipad]',
    )));
//iphone retina icon
    $wp_customize->add_setting($igthemes_option . '[icon_iphone_retina]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'icon_iphone_retina', array(
        'label' => __('IPhone Retina Icon', 'onepage'),
        'description' => __('Apple touch icon iphone retina (120x120 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[icon_iphone_retina]',
    )));
//ipad retina icon
    $wp_customize->add_setting($igthemes_option . '[icon_ipad_retina]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'icon_ipad_retina', array(
        'label' => __('IPad Retina Icon', 'onepage'),
        'description' => __('Apple touch icon ipad retina (152x152 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[icon_ipad_retina]',
    )));
//windows 8 icon
    $wp_customize->add_setting($igthemes_option . '[win_tile_image]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_upload',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'win_tile_image', array(
        'label' => __('Windows 8 Icon', 'onepage'),
        'description' => __('Pinned site Windows 8 icon (144x144 px)', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[win_tile_image]',
    )));
//windows 8 icon color
    $wp_customize->add_setting($igthemes_option . '[win_tile_color]', array(
        'default' => 'fff',
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_hex',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'win_tile_color', array(
        'label' => __('Windows 8 Icon Color', 'onepage'),
        'description' => __('Windows 8 pinned image color', 'onepage'),
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[win_tile_color]',
    )));
//lightbox
    $wp_customize->add_setting($igthemes_option . '[lightbox]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('lightbox', array(
        'label' => __('Lightbox', 'onepage'),
        'description' => __('Enable image lightbox', 'onepage'),
        'type' => 'checkbox',
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[lightbox]',
    ));
//breadcrumb
    $wp_customize->add_setting($igthemes_option . '[breadcrumb]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('breadcrumb', array(
        'label' => __('Breadcrumb', 'onepage'),
        'description' => __('Enable breadcrumb (it will use WordPress SEO breadcrumb if available)', 'onepage'),
        'type' => 'checkbox',
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[breadcrumb]',
    ));
//shortcodes
    $wp_customize->add_setting($igthemes_option . '[shortcodes]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,$igthemes_option . '[shortcodes', array(
        'label' => __('Shortcodes', 'onepage'),
        'description' => __('Enable theme shortcodes', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'title_tagline',
        'settings' => $igthemes_option . '[shortcodes]',
    )));
/*****************************************************************
* LAYOUT SETTINGS
******************************************************************/
//sidebar main
    $wp_customize->add_setting($igthemes_option . '[sidebar_main]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'sidebar_main', array(
        'label' => __('Main Layout', 'onepage'),
        'description' =>  __('Select the index page layout', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[sidebar_main]',
    )));
//main featured images
    $wp_customize->add_setting($igthemes_option . '[main_featured_images]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('main_featured_images', array(
        'label' => __('Index featured image', 'onepage'),
        'description' => __('Show featured images in index page', 'onepage'),
        'type' => 'checkbox',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[main_featured_images]',
    ));
//main numeric pagination
    $wp_customize->add_setting($igthemes_option . '[main_numeric_pagination]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('main_numeric_pagination', array(
        'label' => __('Numeric pagination', 'onepage'),
        'description' => __('Use numeric pagination in index page', 'onepage'),
        'type' => 'checkbox',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[main_numeric_pagination]',
    ));
//sidebar single
    $wp_customize->add_setting($igthemes_option . '[sidebar_single]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'sidebar_single', array(
        'label' => __('Single Layout', 'onepage'),
        'description' => __('Select the single post layout', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[sidebar_single]',
    )));
//post featured image
    $wp_customize->add_setting($igthemes_option . '[post_featured_image]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_checkbox',
    ));
    $wp_customize->add_control('post_featured_image', array(
        'label' => __('Post featured image', 'onepage'),
        'description' => __('Show featured image in post page', 'onepage'),
        'type' => 'checkbox',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[post_featured_image]',
    ));
//post meta
    $wp_customize->add_setting($igthemes_option . '[post_meta]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'post_meta', array(
        'label' => __('Meta Data', 'onepage'),
        'description' => __('Hide post meta data', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[post_meta]',
    )));
//sidebar shop
    $wp_customize->add_setting($igthemes_option . '[sidebar_shop]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'sidebar_shop', array(
        'label' => __('Shop Layout', 'onepage'),
        'description' => __('Select the shop page layout', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'layout-settings',
        'settings' => $igthemes_option . '[sidebar_shop]',
    )));

/*****************************************************************
* STYLE SETTINGS
******************************************************************/
//header style
    $wp_customize->add_setting($igthemes_option . '[header_style]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'header_style', array(
        'label' => __('Header Style', 'onepage'),
        'description' => __('Header custom colors', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'colors',
        'settings' => $igthemes_option . '[header_style]',
    )));
//menu style
    $wp_customize->add_setting($igthemes_option . '[menu_style]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'menu_style', array(
        'label' => __('Menu Style', 'onepage'),
        'description' => __('Menu custom colors', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'colors',
        'settings' => $igthemes_option . '[menu_style]',
    )));
//link style
    $wp_customize->add_setting($igthemes_option . '[link_style]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'link_style', array(
        'label' => __('Links Style', 'onepage'),
        'description' => __('Links custom colors', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'colors',
        'settings' => $igthemes_option . '[link_style]',
    )));
//button style
    $wp_customize->add_setting($igthemes_option . '[button_style]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'button_style', array(
        'label' => __('Buttons Style', 'onepage'),
        'description' => __('Buttons custom colors', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'colors',
        'settings' => $igthemes_option . '[button_style]',
    )));
//footer style
    $wp_customize->add_setting($igthemes_option . '[footer_style]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize,'footer_style', array(
        'label' => __('Footer Style', 'onepage'),
        'description' => __('Footer custom colors', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'colors',
        'settings' => $igthemes_option . '[footer_style]',
    )));
/*****************************************************************
* FOOTER SETTINGS
******************************************************************/
//footer text
    $wp_customize->add_setting($igthemes_option . '[footer_text]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize, 'footer_text', array(
        'label' => __('Footer Text', 'onepage'),
        'description' => '<span class="description customize-control-description">' . __('Footer custom text', 'onepage') . $upgrade_message . '</div>',
        'type' => 'custom',
        'section' => 'footer-settings',
        'settings' => $igthemes_option . '[footer_text]',
    )));
//footer credits
    $wp_customize->add_setting($igthemes_option . '[footer_credits]', array(
        'sanitize_callback' => 'igthemes_sanitize_allowedtags',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize, 'footer_credits', array(
        'label' => __('Credits Link', 'onepage'),
        'description' => __('Remove author credits', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'footer-settings',
        'settings' => $igthemes_option . '[footer_credits]',
    )));

/*****************************************************************
* SOCIAL SETTINGS
******************************************************************/
//facebook
    $wp_customize->add_setting($igthemes_option . '[facebook_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',

    ));
    $wp_customize->add_control('facebook_url', array(
        'label' => __('Facebook url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[facebook_url]',
    ));
//twitter
    $wp_customize->add_setting($igthemes_option . '[twitter_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('twitter_url', array(
        'label' => __('Twitter url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[twitter_url]',
    ));
//google
    $wp_customize->add_setting($igthemes_option . '[google_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('google_url', array(
        'label' => __('Google plus url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[google_url]',
    ));
//pinterest
    $wp_customize->add_setting($igthemes_option . '[pinterest_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('pinterest_url', array(
        'label' => __('Pinterest url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[pinterest_url]',
    ));
//tumblr
    $wp_customize->add_setting($igthemes_option . '[tumblr_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('tumblr_url', array(
        'label' => __('Tumblr url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[tumblr_url]',
    ));
//instagram
    $wp_customize->add_setting($igthemes_option . '[instagram_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('instagram_url', array(
        'label' => __('Instagram url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[instagram_url]',
    ));
//linkedin
    $wp_customize->add_setting($igthemes_option . '[linkedin_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('linkedin_url', array(
        'label' => __('Linkedin url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[linkedin_url]',
    ));
//dribbble
    $wp_customize->add_setting($igthemes_option . '[dribbble_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('dribbble_url', array(
        'label' => __('Dribble url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[dribbble_url]',
    ));
//vimeo
    $wp_customize->add_setting($igthemes_option . '[vimeo_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('vimeo_url', array(
        'label' => __('Vimeo url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[vimeo_url]',
    ));
//youtube
    $wp_customize->add_setting($igthemes_option . '[youtube_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('youtube_url', array(
        'label' => __('Youtube url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[youtube_url]',
    ));
//rss
    $wp_customize->add_setting($igthemes_option . '[rss_url]', array(
        'type' => 'option',
        'sanitize_callback' => 'igthemes_sanitize_url',
    ));
    $wp_customize->add_control('rss_url', array(
        'label' => __('RSS url', 'onepage'),
        'type' => 'url',
        'section' => 'social-settings',
        'settings' => $igthemes_option . '[rss_url]',
    ));

/*****************************************************************
* ADVANCED SETTINGS
******************************************************************/
//custom css
    $wp_customize->add_setting($igthemes_option . '[custom_css]', array(
        'sanitize_callback' => 'igthemes_allowed_tag',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize, 'custom_css', array(
        'label' => __('Custom CSS', 'onepage'),
        'description' => __('Add your custom css code', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'advanced-settings',
        'settings' => $igthemes_option . '[custom_css]',
    )));
//custom js
    $wp_customize->add_setting($igthemes_option . '[custom_js]', array(
        'sanitize_callback' => 'igthemes_allowed_tag',
    ));
    $wp_customize->add_control( new Html_Custom_Control( $wp_customize, 'custom_js', array(
        'label' => __('Custom Javascript', 'onepage'),
        'description' => __('Add your custom js code', 'onepage') . $upgrade_message,
        'type' => 'custom',
        'section' => 'advanced-settings',
        'settings' => $igthemes_option . '[custom_js]',
    )));
    //END
    }
}
// Setup the Theme Customizer settings and controls...
add_action('customize_register' , array('IGthemes_Customizer' , 'igthemes_customize') );
//END OF CLASS
